QGIS Application - Bug report #4687
memory vector layer does not show nor export attributes
2011-12-21 03:16 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 14573
Description

See attached file, copy/paste it into python console on an empty project.
Open attributes table.

If you enable editing then the attributes are shown.
After enabling editing, the attributes are subsequently shown even if you disable editing.

Confirmed by me and alexbruy.

Related issues:
Related to QGIS Application - Bug report # 5633: Memory Layers Attribute Tabl... Closed

2012-05-24

History

#1 - 2011-12-21 05:35 AM - Richard Duivenvoorde

please have a look a this email thread:

http://osgeo-org.1803224.n2.nabble.com/Add-attributes-to-memory-provider-with-python-td6073149.html

when you actually call layer.updateFieldMap() the fields are visible.

(has to be fixed anyway....)

#2 - 2012-09-04 12:10 PM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No

- Target version set to Version 2.0.0

- Affected QGIS version set to master

#3 - 2014-06-28 07:41 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#4 - 2017-05-01 01:10 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#5 - 2017-05-17 12:48 PM - Alexander Bruy
- Description updated

2025-04-27
http://osgeo-org.1803224.n2.nabble.com/Add-attributes-to-memory-provider-with-python-td6073149.html

Correct link to the related email thread https:/lists.osgeo.org/pipermail/qgis-developer/2011-March/013070.html

#6 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files
qgis_memory_layer_test.py 868 Bytes 2011-12-21 Alessandro Pasotti
